---
layout: docs
page_title: 'Commands: plugin status'
description: |
  Display information and status of plugins.
---

# Command: plugin status

The `plugin status` command displays status information for [Container
Storage Interface (CSI)][csi] plugins.

## Usage

```plaintext
nomad plugin status [options] [plugin]
```

This command accepts an optional plugin ID or prefix as the sole argument. If there
is an exact match based on the provided plugin ID or prefix, then information about
the specific plugin is queried and displayed. Otherwise, a list of matching plugins
and information will be displayed.

If the ID is omitted, the command lists out all of the existing plugins and a few
of the most useful status fields for each.

If ACLs are enabled, this command requires a token with the `plugin:read`
capability.

## General Options

@include 'general_options_no_namespace.mdx'

## Status Options

- `-type`: Display only plugins of a particular type. Currently only
  the `csi` type is supported, so this option can be omitted when
  querying the status of CSI plugins.

- `-short`: Display short output. Used only when a single plugin is being queried.
  Drops verbose plugin allocation data from the output.

- `-verbose`: Show full information. Allocation create and modify times are
  shown in `yyyy/mm/dd hh:mm:ss` format.

## Examples

List of all plugins:

```shell-session
$ nomad plugin [-type csi] status
ID         Provider  Controllers Healthy / Expected  Nodes Healthy / Expected
ebs-prod   aws.ebs   1 / 1                           1 / 1
```

Short view of a specific plugin:

```shell-session
$ nomad plugin [-type csi] status ebs-prod
ID                   = ebs-prod
Provider             = aws.ebs
Version              = 1.0.1
Controllers Healthy  = 1
Controllers Expected = 1
Nodes Healthy        = 1
Nodes Expected       = 1
```

Full status information of a plugin with `-verbose` flag. Note that this example
shows a plugin that has all supported capabilities. Most plugins will support a
subset of these capabilities. Topology fields are also controlled by the plugin.

```shell-session
$ nomad plugin [-type csi] -verbose status ebs-prod
ID                   = ebs-prod
Provider             = aws.ebs
Version              = 1.0.1
Controllers Healthy  = 1
Controllers Expected = 1
Nodes Healthy        = 1
Nodes Expected       = 1

Controller Capabilities
  ATTACH_READONLY
  CLONE_VOLUME
  CONTROLLER_ATTACH_DETACH
  CREATE_DELETE_SNAPSHOT
  CREATE_DELETE_VOLUME
  EXPAND_VOLUME
  GET_CAPACITY
  GET_VOLUME
  LIST_SNAPSHOTS
  LIST_VOLUMES
  LIST_VOLUMES_PUBLISHED_NODES
  VOLUME_CONDITION

Node Capabilities
  EXPAND_VOLUME
  GET_VOLUME_STATS
  STAGE_UNSTAGE_VOLUME
  VOLUME_ACCESSIBILITY_CONSTRAINTS
  VOLUME_CONDITION

Accessible Topologies
Node ID   Accessible Topology
95303afc  topology.ebs.csi.aws.com/zone=us-east-1a
8bf94335  topology.ebs.csi.aws.com/zone=us-east-1b

Allocations
ID        Node ID   Task Group  Version  Desired  Status    Created    Modified
0de05689  95303afc  csi         0        run      running  1m57s ago  1m19s ago
b206088c  8bf94335  csi         0        run      running  1m56s ago  1m19s ago
```

[csi]: https://github.com/container-storage-interface/spec
